<!DOCTYPE html>

<?php
	// on se connecte a la base
	$db = mysql_connect('localhost', 'root', 'm148r43a9Y@%Z')	or die('Erreur de connexion '.mysql_error());
		
	// sélection de la base	
	mysql_select_db('smartpassTest2',$db)	or die('Erreur de selection '.mysql_error()); 

	// creation des requêtes
	$sql = 'SELECT COUNT(*) FROM InformationsGenerales';
	
	// on lance la requête (mysql_query) et on impose un message d'erreur si la requête ne se passe pas bien (or die)
	$req = mysql_query($sql) or die('Erreur SQL !<br />'.$sql.'<br />'.mysql_error());

	// on recupere le resultat sous forme d'un tableau
	$data = mysql_fetch_array($req);
	
	// on libère l'espace mémoire alloué pour cette interrogation de la base
	mysql_free_result ($req);
?>
<html>
	<head>
		<title>Affichage des Logs</title>
		<meta charset="UTF-8"/>
		<link rel="shortcut icon" type="image/x-icon" href="../mmd/favicon.ico"/>
		<link rel="stylesheet" type="text/css" href="../style.css"/>
		<script type="text/javascript" src="jquery.js"></script>
	</head>
	<body>
		<h1>Affichage des Logs:</h1>
		<h2>Il y a <b><?php echo $data[0]; ?></b> point(s) dans la base de données.</h2>
		<table>
			<?php
				// lancement de la requête (on impose aucune condition puisque l'on désire obtenir la liste complète des propriétaires
				$sql = 'SELECT id, ip, DAY(date) AS jour, MONTH(date) AS mois, YEAR(date) AS annee, HOUR(date) AS heure, MINUTE(date) AS minute FROM ips';

				// on lance la requête (mysql_query) et on impose un message d'erreur si la requête ne se passe pas bien (or die)
				$req = mysql_query($sql) or die('Erreur SQL !<br />'.$sql.'<br />'.mysql_error());

				// on va scanner tous les tuples un par un
				while ($data = mysql_fetch_array($req)) {
					echo '<tr>';
					echo '<td>Point <b>'.$data['id'].'</b>:</td>';
					echo '<td>Ajouté le <b>' .$data['jour'] .'</b>/<b>'. $data['mois'] . '</b>/<b>' . $data['annee'] .'</b> à <b>'.$data['heure'].'</b>:<b>'.$data['minute'].'</b></td>';
					echo '<td>IP: <b><a target="_blank" href="http://www.ipgetinfo.com/?mode=ip&lang=fr&ip='.$data['ip'].'">'.$data['ip'].'</a></b></td>';
				}
				mysql_free_result ($req);
			?>
		</table>
		<a href="../"><div class="back_arrow"></div></a>
		<div class="uparrow" id="uparrow"></div>
		<script type="text/javascript">
		// arrow
		$(function () {
			$(window).scroll(function () {
				if ($(this).scrollTop() > 50) {
					$('#uparrow').fadeIn();
				}
				else {
					$('#uparrow').fadeOut();
				}
			});
			$('#uparrow').click(function () {
				$('body,html').animate({
					scrollTop: 0
				}, 800);
				return false;
			});
		});
		</script>
		<style type="text/css">
		.uparrow {
			background: url('../mmd/top.svg') no-repeat center;
			cursor: pointer;
			position: fixed;
			bottom: 50px;
			right: 50px;
			width: 50px;
			height: 50px;
			display:none;
		}
		.uparrow:hover {
			opacity: 0.5;
		}
		</style>
	</body>
</html>